# $Revision: 1.46 $, $Date: 2012/01/15 20:41:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tree
%define		pnam	Trie
Summary:	Tree::Trie - an implementation of the Trie data structure in Perl
Summary(pl.UTF-8):	Tree::Trie - implementacja perlowa struktury danych Trie
Name:		perl-Tree-Trie
Version:	1.9
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Tree/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1b823d1896e43279227d65e6ff947d98
URL:		http://search.cpan.org/dist/Tree-Trie/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Pod-Coverage
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a trie data structure. The term "trie" comes
from the word re*trie*val, but is generally pronounced like "try". A
trie is a tree structure (or directed acyclic graph), the nodes of
which represent letters in a word. For example, the final lookup for
the word 'bob' would look something like
$ref->{'b'}{'o'}{'b'}{HASH(0x80c6bbc)} (the HASH being an end
marker). Only nodes which would represent words in the trie exist,
making the structure slightly smaller than a hash of the same data
set.

%description -l pl.UTF-8
Ten moduł jest implementacją struktury danych Trie. Termin "trie"
pochodzi od słowa "re*trie*val" (odtwarzanie, odzyskiwanie), ale
jest wymawiany jak angielskie słowo "try". Trie to struktura
drzewiasta (lub skierowany graf acykliczny), której węzły reprezentują
litery w słowie. Na przykład, końcowe wyszukiwanie słowa "bob" będzie
wyglądać podobnie do $ref->{'b'}{'o'}{'b'}{HASH(0x80c6bbc)} (gdzie
HASH jest znacznikiem końca). W strukturze istnieją tylko węzły
reprezentujące słowa, co czyni strukturę mniejszą niż hasz z tego
samego zbioru danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Tree/Trie.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tree-Trie.spec,v $
Revision 1.46  2012/01/15 20:41:16  zbyniu
- up to 1.9

Revision 1.45  2011/07/01 14:26:23  marti
- up to 1.8

Revision 1.44  2008/01/23 21:08:43  qboosh
- generic URL

Revision 1.43  2008-01-16 18:43:14  agaran
- up to 1.5, rel 1, builds here

Revision 1.42  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.41  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.40  2006/07/09 14:42:53  agaran
- up to 1.2, rel1, builds here

Revision 1.39  2005/03/01 20:41:57  darekr
- updated to 1.1

Revision 1.38  2004/11/03 22:30:52  paladine
- formatting

Revision 1.37  2004/05/06 18:21:27  ankry
- fixed perl-devel BR

Revision 1.36  2004/05/03 00:54:30  ankry
- tests added, license fizes, cosmetics

Revision 1.35  2004/04/15 21:24:55  ankry
- cosmetics

Revision 1.34  2003/09/18 13:22:39  adamg
- updated to 1.0

Revision 1.33  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.32  2003/08/18 08:09:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.31  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 06:25:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/04/11 18:59:39  radek
- BR: perl-devel; do not BR: perl

Revision 1.28  2003/03/01 21:35:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.27  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.26  2003/02/18 15:39:06  ankry
- massive attack: change CPAN URLs

Revision 1.25  2002/08/15 21:59:27  qboosh
- pl description, release++

Revision 1.24  2002/08/11 19:36:52  radek
- release up

Revision 1.23  2002/08/11 19:33:00  radek
- (automatic) provided informative description

Revision 1.22  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.21  2002/07/11 08:05:47  depesz
- new version; should work; STBR

Revision 1.20  2002/07/10 09:02:39  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:35:29  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:21:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:37:15  depesz
adapterized

Revision 1.14  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:18:02  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2000/12/22 00:46:27  kloczek
- back .. this package can't be noarch.

Revision 1.9  2000/12/21 23:55:05  kloczek
- build as noarch.

Revision 1.8  2000/12/21 23:54:29  kloczek
- updatwd to 0.2,
- use new rpm automation and rebuild against perl 5.6.

Revision 1.7  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 18:05:25  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:48  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:49  pius
- initial release
